////////////////////////////////////////////////////////////////////////////
//   Copyright 2013  Teradici Corporation
//
//   This program is free software; you can redistribute it and/or modify it
//   under the terms and conditions of the GNU General Public License,
//   version 2, as published by the Free Software Foundation.
//
////////////////////////////////////////////////////////////////////////////
/// \file
/// \brief
///     Packet Module
///
///     This file defines the packet module API prototypes and definitions.
///
////////////////////////////////////////////////////////////////////////////

#pragma once

// ---- Include Files -------------------------------------------------------

// ---- Constants and Types -------------------------------------------------

// --------------------------------------------------------------------------
//  sMSG_CBLK
//      Packet module control block
//
//  Description:
//      This structure defines the packet module control block. The control
//      block is per device instance, and not per driver instance. The control
//      block is attached to the context area of each device instance.
//
typedef struct sMSG_CBLK_STRUCT
{
    INT          initialized;           ///< Initialized flag
    struct kmem_cache *msg_mem_pool;    ///< Lookaside cache of buffers used internally
    UINT32       buf_len;               ///< Length of each message buffer
    UINT32       msg_alloc_cnt;         ///< Packet allocation counter
    UINT32       msg_free_cnt;          ///< Packet free counter
} sMSG_CBLK;

// ---- Variable Externs ----------------------------------------------------

// ---- Function Prototypes -------------------------------------------------

