////////////////////////////////////////////////////////////////////////////
//   Copyright 2013  Teradici Corporation
//
//   This program is free software; you can redistribute it and/or modify it
//   under the terms and conditions of the GNU General Public License,
//   version 2, as published by the Free Software Foundation.
//
////////////////////////////////////////////////////////////////////////////
/// \file
/// \brief
///     PCoIP Host Software GUI Class
///
///     This file defines the PCoIP Host Software GUI class.
///
////////////////////////////////////////////////////////////////////////////

#pragma once

// ---- Include Files -------------------------------------------------------

#include <wx/taskbar.h>

// ---- Constants and Types -------------------------------------------------

// --------------------------------------------------------------------------
//  cPCOIP_AGENT_GUI_TRAY
///     PCoIP Host Software GUI
//
//  Description:
///     This class defines the main GUI portion of the PCoIP Host Software.
///     The main dialog is invisible and is used only for collecting
///     messages. All GUI components are members of this class.
///
class cPCOIP_AGENT_GUI_TRAY : public wxTaskBarIcon
{

public:

    // --- Public Functions -------------------------------------------------

    // --- Public Variables -------------------------------------------------

protected:

    // --- Protected Functions ----------------------------------------------

    void evt_menu_prop(
        wxCommandEvent& evt);

    void evt_menu_exit(
        wxCommandEvent& evt);

    void evt_menu_disc(
        wxCommandEvent& evt);

    void evt_left_dclick(
        wxTaskBarIconEvent& evt);

    virtual wxMenu *CreatePopupMenu(void);

    int is_daemon_active(void);

    // --- Protected Variables ----------------------------------------------

    DECLARE_EVENT_TABLE()
}; // cPCOIP_AGENT_GUI_TRAY

// ---- Variable Externs ----------------------------------------------------

// ---- Function Prototypes -------------------------------------------------

